Subject: Re: [PATCH RFC net] docs: netdev: document guidance on cleanup patches

From: Jakub Kicinski <[email-masked]>
Date: Mon, 7 Oct 2024 08:24:30 -0700

On Fri, 04 Oct 2024 10:49:53 +0100 Simon Horman wrote:
> The purpose of this section is to document what is the current practice
> regarding clean-up patches which address checkpatch warnings and similar
> problems. I feel there is a value in having this documented so others
> can easily refer to it.
> 
> Clearly this topic is subjective. And to some extent the current
> practice discourages a wider range of patches than is described here.
> But I feel it is best to start somewhere, with the most well established
> part of the current practice.
> 
> --
> I did think this was already documented. And perhaps it is.
> But I was unable to find it after a quick search.

Thanks a lot for documenting it, this is great!
All the suggestions below are optional, happy to merge as is.

> +Clean-Up Patches
> +~~~~~~~~~~~~~~~~

nit: other sections use sentence-like capitalization (only capitalizing
the first word), is that incorrect? Or should we ay "Clean-up patches"
here?

> +Netdev discourages patches which perform simple clean-ups, which are not in
> +the context of other work. For example addressing ``checkpatch.pl``
> +warnings, or :ref:`local variable ordering<rcs>` issues. This is because it
> +is felt that the churn that such changes produce comes at a greater cost
> +than the value of such clean-ups.

Should we add "conversions to managed APIs"? It's not a recent thing,
people do like to post patches doing bulk conversions which bring very
little benefit.

On the opposite side we could mention that spelling fixes are okay.
Not sure if that would muddy the waters too much..